Mostrar carpeta
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"folder": {
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"breadcrumbs": [
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"folders": [
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"parent_name": "<string>"
}
],
"payload": [
{
"id": 123,
"name": "<string>",
"document_folder_id": 123,
"content_type": "<string>",
"file_url": "<string>"
}
],
"meta": {
"next_cursor": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Document Folders
Mostrar carpeta
Carpeta, breadcrumbs, subcarpetas con parent_name y la primera página de archivos (payload, meta.next_cursor). Acepta los mismos filtros de la librería excepto folder_id.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
document_folders
/
{id}
Mostrar carpeta
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/document_folders/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"folder": {
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"breadcrumbs": [
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"folders": [
{
"id": 123,
"name": "<string>",
"parent_id": 123,
"system_key": "<string>",
"section": "<string>",
"managed": true,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"parent_name": "<string>"
}
],
"payload": [
{
"id": 123,
"name": "<string>",
"document_folder_id": 123,
"content_type": "<string>",
"file_url": "<string>"
}
],
"meta": {
"next_cursor": "<string>"
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
ID de la carpeta
The numeric ID of the account
Was this page helpful?